Skip to content

GET Alerts.

GET
/api/data/namespaces/{namespace}/alerts
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/example/alerts \
--header 'Authorization: <Authorization>'

GET alerts matching the filter for the given namespace.

Examples of this operation.

namespace
required
string

Namespace namespace to scope the listing of alerts. When namespace = “system”, all alerts for the tenant will be returned.

inactive
boolean format: boolean

If set to true, active alerts will not be returned in the response.

silenced
boolean format: boolean

Show silenced alerts - alerts that are muted based on the matchers configured in the alert manager.

inhibited
boolean format: boolean

Show inhibited alerts - alerts that are suppressed if certain other alerts are firing.

unprocessed
boolean format: boolean

Show unprocessed alerts.

filter
string

HighDiskUsage”, severity=“critical”}” List of matchers to filter alerts by. Filtering via label matchers follows the same syntax and semantics as Prometheus. Syntax for filter := {[]} := <label_name>“<label_value>” <label_name> := string All alerts have the following default labels: “alertname”, “identifier”, “type”, “severity” <label_value> := string := [ same as label match operators supported by prometheus - Please refer HTTPS://prometheus.I/O/docs/prometheus/latest/querying/basics ] When more than one matcher is specified in the filter, then alerts matching ALL the matchers will be returned.

Optional: If not specified, then all the alerts for the tenant and namespace specified in the request will be returned.

A successful response.

Media typeapplication/json
Alerts Response

Returns list of alerts that matches the selection criteria in the request Example value: [ { “annotations”: { “description”: “string”, “additionalProp1”: “string”, “additionalProp2”: “string” }, “receivers”: [ { “name”: “string” } ], “fingerprint”: “string”, “startsAt”: “2019-06-06T22:14:27.304Z”, “updatedAt”: “2019-06-06T22:14:27.304Z”, “endsAt”: “2019-06-06T22:14:27.304Z”, “status”: { “state”: “unprocessed”, “silencedBy”: [ “string” ], “inhibitedBy”: [ “string” ] }, “labels”: { “alertname”: “string”, “type”: “string”, “identifier”: “string”, “severity”: “string”, “additionalLabel1”: “string”, “additionalLabel2”: “string” }, “generatorURL”: “string” } ]

object
data
data

Data contains the list of alerts.

string
<= 1024 characters
Examplegenerated
{
"data": "example"
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example